/**
 * Copyright (c) 2009 Capgemini Sud, 2010-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.plugin.jbiplugin.environement;

import java.io.File;

import org.codehaus.plexus.PlexusTestCase;

/**
 * Global environnement of the unit tests.
 * @author Christophe DENEUX - Capgemini Sud
 */
public class GlobalUnitTestEnvironnement {
    
    public final static File SRC_HOME = new File(PlexusTestCase.getBasedir(), "src");
    
    public final static File UNIT_TESTS_SRC_HOME = new File(SRC_HOME, "test/resources");
    
    public final static File PACKAGE_UNIT_TESTS_SRC_HOME = new File(UNIT_TESTS_SRC_HOME, "jbi-package");
    
    public final static File TARGET_HOME = new File(PlexusTestCase.getBasedir(), "target");
    
    public final static File UNIT_TESTS_TARGET_HOME = new File(TARGET_HOME, "unit-test");
}